<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pl">
<head>
<!-- Generated by javadoc (1.8.0_291) on Sun Oct 17 07:38:53 CEST 2021 -->
<title>ArticleRepository</title>
<meta name="date" content="2021-10-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArticleRepository";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleController.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/ArticleRepository.html" target="_top">Frames</a></li>
<li><a href="ArticleRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.profacilis.sidnetdemo.article</div>
<h2 title="Interface ArticleRepository" class="title">Interface ArticleRepository</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.springframework.data.repository.CrudRepository&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>,java.lang.Long&gt;, org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>,java.lang.Long&gt;, org.springframework.data.repository.PagingAndSortingRepository&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>,java.lang.Long&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>&gt;, org.springframework.data.repository.Repository&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>,java.lang.Long&gt;</dd>
</dl>
<hr>
<br>
<pre>@Repository
public interface <span class="typeNameLabel">ArticleRepository</span>
extends org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>,java.lang.Long&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html#truncate--">truncate</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.jpa.repository.JpaRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.jpa.repository.JpaRepository</h3>
<code>deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, saveAll, saveAllAndFlush, saveAndFlush</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.PagingAndSortingRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.PagingAndSortingRepository</h3>
<code>findAll</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.CrudRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.CrudRepository</h3>
<code>count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.query.QueryByExampleExecutor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.query.QueryByExampleExecutor</h3>
<code>count, exists, findAll, findOne</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="truncate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>truncate</h4>
<pre>@Modifying
 @Transactional
 @Query(nativeQuery=true,
       value="truncate table article restart identity")
void&nbsp;truncate()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleController.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/ArticleRepository.html" target="_top">Frames</a></li>
<li><a href="ArticleRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
